from __future__ import generators
import plus
import Arenas
import random
import Hazards
import math

class Box(Arenas.SuperArena):
    "There's nowhare to hide in this arena..."
    name = "Arena 75"
    preview = "a75/ar75.bmp"
    game_types = ['DEATHMATCH', 'BATTLE ROYAL', 'TEAM MATCH']
    extent = (-30, 30, 30, -30)

    def __init__(self):
        Arenas.SuperArena.__init__(self, "Arenas/a75/a75.gmf")
        #plus.Arena.__init__(self, "")
        plus.setBackColor(0,0,0)
        
        degrad = 0.01745
        self.AddStaticCamera("Static Cam 1", (15, 75, 15), (45*degrad,math.pi), 70*degrad)
	self.AddStaticCamera("Static Cam 2", (0, 10, 120), (45*degrad,math.pi), 84*degrad)
	self.AddStaticCamera("Static Cam 3", (0, 30, 75), (50*degrad,math.pi), 90*degrad)
	self.AddStaticCamera("Static Cam 4", (0, 80, 55), (90*degrad,math.pi), 90*degrad)
	self.AddWatchCamera("Watch Cam 1", (0, 25, 6), (6, 18, 45*degrad, 45*degrad))
	self.AddWatchCamera("Watch Cam 2", (0, 30, 9), (6, 20, 45*degrad, 45*degrad))
	self.AddWatchCamera("Watch Cam 3", (0, 35, 12), (6, 22, 45*degrad, 45*degrad))
	self.AddWatchCamera("Watch Cam 4", (0, 404, 15), (6, 24, 45*degrad, 45*degrad))
	
        self.players = ()

    def AddShadowReceivers(self):
        self.SetShadowSource(5.897, 19.159, 5.899)
        
    def Activate(self, on):
        if on: self.players = plus.getPlayers()
        
        Arenas.SuperArena.Activate(self, on)
        
Arenas.register(Box)
